Bug 1413317 - [abrt] nautilus: g_menu_model_get_n_items(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: g_menu_model_get_n_items(): nautilus killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4db2a6d58616299a6071bc7d5aa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-14 22:53 UTC by Tim Waugh
Modified: 2017-12-12 10:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:04:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (55.27 KB, text/plain)
2017-01-14 22:53 UTC, Tim Waugh
no flags Details
File: cgroup (259 bytes, text/plain)
2017-01-14 22:53 UTC, Tim Waugh
no flags Details
File: core_backtrace (21.96 KB, text/plain)
2017-01-14 22:54 UTC, Tim Waugh
no flags Details
File: dso_list (13.08 KB, text/plain)
2017-01-14 22:54 UTC, Tim Waugh
no flags Details
File: environ (1.18 KB, text/plain)
2017-01-14 22:54 UTC, Tim Waugh
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-14 22:54 UTC, Tim Waugh
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-14 22:54 UTC, Tim Waugh
no flags Details
File: maps (65.08 KB, text/plain)
2017-01-14 22:54 UTC, Tim Waugh
no flags Details
File: mountinfo (3.84 KB, text/plain)
2017-01-14 22:54 UTC, Tim Waugh
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-14 22:54 UTC, Tim Waugh
no flags Details
File: open_fds (4.59 KB, text/plain)
2017-01-14 22:54 UTC, Tim Waugh
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-14 22:54 UTC, Tim Waugh
no flags Details
File: var_log_messages (1.97 KB, text/plain)
2017-01-14 22:54 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2017-01-14 22:53:50 UTC
Version-Release number of selected component:
nautilus-3.22.2-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/nautilus
global_pid:     6021
kernel:         4.8.16-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_menu_model_get_n_items at gmenumodel.c:494
 #1 gtk_application_window_update_shell_shows_app_menu at gtkapplicationwindow.c:316
 #2 gtk_application_window_real_realize at gtkapplicationwindow.c:683
 #3 nautilus_window_realize at nautilus-window.c:2499
 #4 _g_closure_invoke_va at gclosure.c:867
 #7 gtk_widget_realize at gtkwidget.c:5456
 #8 gtk_window_show at gtkwindow.c:6151
 #13 gtk_widget_show at gtkwidget.c:4789
 #14 view_started_loading at nautilus-window-slot.c:2408
 #15 view_is_loading_changed_cb at nautilus-window-slot.c:2454

Potential duplicate: bug 1340800

Comment 1 Tim Waugh 2017-01-14 22:53:57 UTC
Created attachment 1240817 [details]
File: backtrace

Comment 2 Tim Waugh 2017-01-14 22:53:58 UTC
Created attachment 1240818 [details]
File: cgroup

Comment 3 Tim Waugh 2017-01-14 22:54:00 UTC
Created attachment 1240819 [details]
File: core_backtrace

Comment 4 Tim Waugh 2017-01-14 22:54:02 UTC
Created attachment 1240820 [details]
File: dso_list

Comment 5 Tim Waugh 2017-01-14 22:54:04 UTC
Created attachment 1240821 [details]
File: environ

Comment 6 Tim Waugh 2017-01-14 22:54:05 UTC
Created attachment 1240822 [details]
File: exploitable

Comment 7 Tim Waugh 2017-01-14 22:54:07 UTC
Created attachment 1240823 [details]
File: limits

Comment 8 Tim Waugh 2017-01-14 22:54:09 UTC
Created attachment 1240824 [details]
File: maps

Comment 9 Tim Waugh 2017-01-14 22:54:11 UTC
Created attachment 1240825 [details]
File: mountinfo

Comment 10 Tim Waugh 2017-01-14 22:54:12 UTC
Created attachment 1240826 [details]
File: namespaces

Comment 11 Tim Waugh 2017-01-14 22:54:14 UTC
Created attachment 1240827 [details]
File: open_fds

Comment 12 Tim Waugh 2017-01-14 22:54:15 UTC
Created attachment 1240828 [details]
File: proc_pid_status

Comment 13 Tim Waugh 2017-01-14 22:54:16 UTC
Created attachment 1240829 [details]
File: var_log_messages

Comment 14 Sylvia Sánchez 2017-01-15 16:31:41 UTC
Similar problem has been detected:

Moved some files from a SD card to my hard drive. 
Unmounted the SD card.
Unplugged the SD card from USB port. And Nautilus gave an error alarm but kept working.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/nautilus
global_pid:     5521
kernel:         4.9.3-200.fc25.x86_64
package:        nautilus-3.22.2-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2017-11-16 15:02:31 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:04:03 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.